<?xml version="1.0" encoding="UTF-8"?>
<beans
  xmlns="http://www.springframework.org/schema/beans"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xmlns:p="http://www.springframework.org/schema/p"
  xmlns:aop="http://www.springframework.org/schema/aop"
  xmlns:context="http://www.springframework.org/schema/context"
  xmlns:jee="http://www.springframework.org/schema/jee"
  xmlns:tx="http://www.springframework.org/schema/tx"
  xmlns:util="http://www.springframework.org/schema/util"
  xmlns:mvc="http://www.springframework.org/schema/mvc"
  xsi:schemaLocation="
			http://www.springframework.org/schema/aop http://www.springframework.org/schema/aop/spring-aop-3.2.xsd
			http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-3.2.xsd
			http://www.springframework.org/schema/context http://www.springframework.org/schema/context/spring-context-3.2.xsd
			http://www.springframework.org/schema/jee http://www.springframework.org/schema/jee/spring-jee-3.2.xsd
			http://www.springframework.org/schema/tx http://www.springframework.org/schema/tx/spring-tx-3.2.xsd
			http://www.springframework.org/schema/util http://www.springframework.org/schema/util/spring-util-3.2.xsd
			http://www.springframework.org/schema/mvc http://www.springframework.org/schema/mvc/spring-mvc-3.2.xsd
			"> 
	
	<!-- fixed property -->
	<!--  ${env['inst.Name']}"
	<util:properties id="env" location="/WEB-INF/env.properties" />
	  -->
	
	<context:property-placeholder location="/WEB-INF/*.properties" />
	<!-- Framework DataSource  -->
	<!-- 
	<bean id="dataSource" class="org.apache.commons.dbcp.BasicDataSource"
		destroy-method="close">
		<property name="driverClassName" value="oracle.jdbc.driver.OracleDriver" />
		<property name="url" value="jdbc:oracle:thin:@10.243.171.53:1550:DBJJBL" />
		<property name="username" value="ELINKFEP" />
		<property name="password" value="jjbfep07&amp;" />
		<property name="initialSize" value="10" />
		<property name="maxActive" value="10" />
		<property name="maxIdle" value="10" />
		<property name="maxWait" value="5000" />				
	</bean>
	 -->
	
	<bean id="dataSource" class="org.springframework.jndi.JndiObjectFactoryBean">
        <property name="jndiName" value="jdbc/dsCHN_fep"/>				
	</bean>
	 
	<!-- Framework Initializer  -->
	<bean id="appInitializer" class="com.eactive.eai.common.web.AppInitializer">    		
		<property name="dataSource" ref="dataSource"/>
		<property name="instName" value="${inst.Name}"/>
		<property name="tableOwner" value="${eai.tableowner}"/>
		<property name="systemMode" value="${eai.systemmode}"/>
	</bean>
	<import resource="jms/applicationContext-jms.xml"/>
    <!-- Remote Call RMI  -->
    <!-- 
    <bean id="remoteProxy" class="com.eactive.eai.common.routing.rmi.RemoteProxyImpl">    	    		
	</bean>
    <bean id="rmiServiceExporter" class="org.springframework.remoting.rmi.RmiServiceExporter">
        <property name="serviceName" value="RemoteProxy"/>
        <property name="service" ref="remoteProxy"/>
        <property name="serviceInterface" value="com.eactive.eai.common.routing.rmi.RemoteProxy"/>
        < defaults to 1099 >
        <property name="registryPort" value="1099"/>
    </bean>
     -->

<!-- 	MQ Service  -->
<!-- 	relations : RULE(routing.connection.factory)   -->
	<!--    weblogic JMS Listener Service -->
	
	
		
	<!--     activeMQ Listener Service -->
<!--     <import resource="mq/applicationContext-activemq.xml"/> -->
         
    
</beans>
